{% extends 'base.html' %}

<!-- Provides the title of the page to be provided in the template -->
<!-- This should correspond with the block name provided in the base.html -->

{% block title %} home {% endblock %}

{% block content %}

{% if user.is_anonymous == False %}
    <h1 class="text-center my-3">Welcome {{ user.first_name }} {{user.last_name}}!</h1>
    
    <!-- to do list -->
    <div class="containter">
        <div class = "row">
            <h3 class="text-center mb-3">My Task</h3>

            {% if todoitem_list %}
            <ul class="list-group col-lg-2 offset-lg-5 text-center">
              {% for todoitem in todoitem_list %}
                <li><a href="{% url 'todolist:viewtodoitem' todoitem.id %}">{{ todoitem.task_name }}</a></li>
              {% endfor %}
            </ul>

            {% else %}
                <p class="text-center">No task/s have been created.</p>  
            {% endif %}

        </div>
    </div> 

    <!-- events -->
    <div class="containter mt-3">
        <div class = "row">
            <h3 class="text-center mb-3">My Events</h3>

            {% if eventitem_list %}
            <ul class="list-group col-lg-2 offset-lg-5 text-center">
              {% for eventitem in eventitem_list %}
                <li><a href="{% url 'todolist:vieweventitem' eventitem.id %}">{{ eventitem.event_name }}</a></li>
              {% endfor %}
            </ul>

            {% else %}
                <p class="text-center">No event/s have been created.</p> 
            {% endif %} 
        </div>
    </div> 

{% else %}
    <h1 class="text-center mt-3">You are not authorized to access this page.</h1>
    <p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
{% endif %}

{% endblock %}